- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QFontInfo Class Reference

Search for all occurrences

## Detailed Description

Definition at line 54 of file qfontinfo.h.

`#include <qfontinfo.h>`

List of all members.

## Public Member Functions
| QFontInfo (const QFont &)
| QFontInfo (const QFontInfo &)
| ~QFontInfo ()
QFontInfo & | operator= (const QFontInfo &)
QString | family () const
int | pixelSize () const
int | pointSize () const
qreal | pointSizeF () const
bool | italic () const
QFont::Style | style () const
int | weight () const
bool | bold () const
bool | underline () const
bool | overline () const
bool | strikeOut () const
bool | fixedPitch () const
QFont::StyleHint | styleHint () const
bool | rawMode () const
bool | exactMatch () const

## Constructor & Destructor Documentation

QFontInfo | ( | const QFont & |  | ) |

QFontInfo | ( | const QFontInfo & |  | ) |

~QFontInfo | ( |  | ) |

## Member Function Documentation

QFontInfo& operator= | ( | const QFontInfo & |  | ) |

QString family | ( |  | ) | const

Search for all occurrences

int pixelSize | ( |  | ) | const

Search for all occurrences

int pointSize | ( |  | ) | const

Search for all occurrences

qreal pointSizeF | ( |  | ) | const

Search for all occurrences

bool italic | ( |  | ) | const

Search for all occurrences

QFont::Style style | ( |  | ) | const

Search for all occurrences

int weight | ( |  | ) | const

Search for all occurrences

bool bold | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 70 of file qfontinfo.h.

    { return weight() > QFont::Normal; }

bool underline | ( |  | ) | const

Search for all occurrences

bool overline | ( |  | ) | const

Search for all occurrences

bool strikeOut | ( |  | ) | const

Search for all occurrences

bool fixedPitch | ( |  | ) | const

Search for all occurrences

QFont::StyleHint styleHint | ( |  | ) | const

Search for all occurrences

bool rawMode | ( |  | ) | const

Search for all occurrences

bool exactMatch | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qfontinfo.h

QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo
QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo QFontInfo